
BIBD Merchant Portal - Bug #16595

[MA-5][Android] Lack of Screen Caching Prevention

30 May 2023 04:18 PM - Nor Khairun Aqila Jesmen

Status: Closed Start date: 02 June 2023

Priority: High Due date: 02 June 2023

Assignee: Nor Khairun Aqila Jesmen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Description:

The application may expose sensitive information via the app switcher.

Recommendation:

Overlay an image as the application enters the background state or explicitly mark the fields hidden via the View Controller.

Fixes:

Remove sensitive information from views before moving to the background.

https://stackoverflow.com/a/7520307

Apply on package Merchant Portal App version 1.1

History

#1 - 14 June 2023 11:41 AM - Abdul Halim Baharom

- Status changed from New to Resolved

- Assignee changed from Abdul Halim Baharom to Nor Khairun Aqila Jesmen

- % Done changed from 0 to 100

Fixed

#2 - 03 January 2024 10:45 AM - Nor Khairun Aqila Jesmen

tested good

#3 - 03 January 2024 10:45 AM - Nor Khairun Aqila Jesmen

- Status changed from Resolved to Closed

Files
